PHPExcel_Reader_Excel5

# Class: PHPExcel_Reader_Excel5

Source Location: /PHPExcel/Reader/Excel5.php

### Class Overview

PHPExcel_Reader_Excel5

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Reader_IReader

### Constants

- XLS_BIFF7
- XLS_BIFF8
- XLS_Type_ARRAY
- XLS_Type_BLANK
- XLS_Type_BOF
- XLS_Type_BOOLERR
- XLS_Type_BOTTOMMARGIN
- XLS_Type_CODEPAGE
- XLS_Type_COLINFO
- XLS_Type_CONTINUE
- XLS_Type_DATAVALIDATION
- XLS_Type_DATAVALIDATIONS
- XLS_Type_DATEMODE
- XLS_Type_DBCELL
- XLS_Type_DEFAULTROWHEIGHT
- XLS_Type_DEFCOLWIDTH
- XLS_Type_DEFINEDNAME
- XLS_Type_DIMENSION
- XLS_Type_EOF
- XLS_Type_EXTERNALBOOK
- XLS_Type_EXTERNNAME
- XLS_Type_EXTERNSHEET
- XLS_Type_EXTSST
- XLS_Type_FILEPASS
- XLS_Type_FONT
- XLS_Type_FOOTER
- XLS_Type_FORMAT
- XLS_Type_FORMULA
- XLS_Type_HCENTER
- XLS_Type_HEADER
- XLS_Type_HORIZONTALPAGEBREAKS
- XLS_Type_HYPERLINK
- XLS_Type_IMDATA
- XLS_Type_INDEX
- XLS_Type_LABEL
- XLS_Type_LABELSST
- XLS_Type_LEFTMARGIN
- XLS_Type_MERGEDCELLS
- XLS_Type_MSODRAWING
- XLS_Type_MSODRAWINGGROUP
- XLS_Type_MULBLANK
- XLS_Type_MULRK
- XLS_Type_NOTE
- XLS_Type_NUMBER
- XLS_Type_OBJ
- XLS_Type_OBJECTPROTECT
- XLS_Type_PAGESETUP
- XLS_Type_PALETTE
- XLS_Type_PANE
- XLS_Type_PASSWORD
- XLS_Type_PRINTGRIDLINES
- XLS_Type_PROTECT
- XLS_Type_RANGEPROTECTION
- XLS_Type_RIGHTMARGIN
- XLS_Type_RK
- XLS_Type_ROW
- XLS_Type_SCENPROTECT
- XLS_Type_SCL
- XLS_Type_SELECTION
- XLS_Type_SHAREDFMLA
- XLS_Type_SHEET
- XLS_Type_SHEETLAYOUT
- XLS_Type_SHEETPR
- XLS_Type_SHEETPROTECTION
- XLS_Type_SST
- XLS_Type_STRING
- XLS_Type_STYLE
- XLS_Type_TOPMARGIN
- XLS_Type_TXO
- XLS_Type_UNKNOWN
- XLS_Type_VCENTER
- XLS_Type_VERTICALPAGEBREAKS
- XLS_Type_WINDOW2
- XLS_Type_XF
- XLS_Type_XFEXT
- XLS_WorkbookGlobals
- XLS_Worksheet

### Methods

- canRead
- getLoadSheetsOnly
- getReadDataOnly
- getReadFilter
- listWorksheetInfo
- listWorksheetNames
- load
- setLoadAllSheets
- setLoadSheetsOnly
- setReadDataOnly
- setReadFilter
- __construct
- _GetInt2d
- _GetInt4d

### Class Details

[line 78]
PHPExcel_Reader_Excel5

This class uses http://sourceforge.net/projects/phpexcelreader/parseXL

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method _GetInt2d [line 6576]

`static int _GetInt2d( string $data, int $pos)`

Read 16-bit unsigned integer

#### Tags:

access: | public

#### Parameters:

string | $data |
int | $pos |

[ Top ]

### static method _GetInt4d [line 6589]

`static int _GetInt4d( string $data, int $pos)`

Read 32-bit signed integer

#### Tags:

access: | public

#### Parameters:

string | $data |
int | $pos |

[ Top ]

### method canRead [line 515]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method getLoadSheetsOnly [line 450]

`mixed getLoadSheetsOnly( )`

Get which sheets to load Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null indicating that all worksheets in the workbook should be loaded.

#### Tags:

access: | public

[ Top ]

### method getReadDataOnly [line 421]

`boolean getReadDataOnly( )`

Read data only? If this is true, then the Reader will only read data values for cells, it will not read any formatting information.

If false (the default) it will read data and formatting.

#### Tags:

access: | public

[ Top ]

### method getReadFilter [line 491]

`PHPExcel_Reader_IReadFilter getReadFilter( )`

Read filter

#### Tags:

access: | public

[ Top ]

### method listWorksheetInfo [line 591]

`void listWorksheetInfo( string $pFilename)`

Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method listWorksheetNames [line 542]

`void listWorksheetNames( string $pFilename)`

Reads names of the worksheets from a file, without parsing the whole file to a PHPExcel object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method load [line 686]

`PHPExcel load( string $pFilename)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method setLoadAllSheets [line 479]

`PHPExcel_Reader_Excel5 setLoadAllSheets( )`

Set all sheets to load Tells the Reader to load all worksheets from the workbook.

#### Tags:

access: | public

[ Top ]

### method setLoadSheetsOnly [line 465]

`PHPExcel_Reader_Excel5 setLoadSheetsOnly( [mixed $value = null])`

Set which sheets to load

#### Tags:

access: | public

#### Parameters:

mixed | $value | This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name. If NULL, then it tells the Reader to read all worksheets in the workbook

[ Top ]

### method setReadDataOnly [line 436]

`PHPExcel_Reader_Excel5 setReadDataOnly( [boolean $pValue = false])`

Set read data only Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.

Set to false (the default) to advise the Reader to read both data and formatting for cells.

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setReadFilter [line 502]

`PHPExcel_Reader_Excel5 setReadFilter( PHPExcel_Reader_IReadFilter $pValue)`

Set read filter

#### Tags:

access: | public

#### Parameters:

PHPExcel_Reader_IReadFilter | $pValue |

[ Top ]

### constructor __construct [line 409]

`PHPExcel_Reader_Excel5 __construct( )`

Create a new PHPExcel_Reader_Excel5 instance

#### Tags:

access: | public

[ Top ]

### Class Constants

#### XLS_BIFF7 = 0x0500

[line 82]

[ Top ]

#### XLS_BIFF8 = 0x0600

[line 81]

[ Top ]

#### XLS_Type_ARRAY = 0x0221

[line 147]

[ Top ]

#### XLS_Type_BLANK = 0x0201

[line 140]

[ Top ]

#### XLS_Type_BOF = 0x0809

[line 154]

[ Top ]

#### XLS_Type_BOOLERR = 0x0205

[line 143]

[ Top ]

#### XLS_Type_BOTTOMMARGIN = 0x0029

[line 106]

[ Top ]

#### XLS_Type_CODEPAGE = 0x0042

[line 112]

[ Top ]

#### XLS_Type_COLINFO = 0x007d

[line 115]

[ Top ]

#### XLS_Type_CONTINUE = 0x003c

[line 110]

[ Top ]

#### XLS_Type_DATAVALIDATION = 0x01be

[line 138]

[ Top ]

#### XLS_Type_DATAVALIDATIONS = 0x01b2

[line 135]

[ Top ]

#### XLS_Type_DATEMODE = 0x0022

[line 101]

[ Top ]

#### XLS_Type_DBCELL = 0x00d7

[line 126]

[ Top ]

#### XLS_Type_DEFAULTROWHEIGHT = 0x0225

[line 148]

[ Top ]

#### XLS_Type_DEFCOLWIDTH = 0x0055

[line 113]

[ Top ]

#### XLS_Type_DEFINEDNAME = 0x0018

[line 96]

[ Top ]

#### XLS_Type_DIMENSION = 0x0200

[line 139]

[ Top ]

#### XLS_Type_EOF = 0x000a

[line 88]

[ Top ]

#### XLS_Type_EXTERNALBOOK = 0x01ae

[line 134]

[ Top ]

#### XLS_Type_EXTERNNAME = 0x0023

[line 102]

[ Top ]

#### XLS_Type_EXTERNSHEET = 0x0017

[line 95]

[ Top ]

#### XLS_Type_EXTSST = 0x00ff

[line 133]

[ Top ]

#### XLS_Type_FILEPASS = 0x002f

[line 108]

[ Top ]

#### XLS_Type_FONT = 0x0031

[line 109]

[ Top ]

#### XLS_Type_FOOTER = 0x0015

[line 94]

[ Top ]

#### XLS_Type_FORMAT = 0x041e

[line 152]

[ Top ]

#### XLS_Type_FORMULA = 0x0006

[line 87]

[ Top ]

#### XLS_Type_HCENTER = 0x0083

[line 118]

[ Top ]

#### XLS_Type_HEADER = 0x0014

[line 93]

[ Top ]

#### XLS_Type_HORIZONTALPAGEBREAKS = 0x001b

[line 98]

[ Top ]

#### XLS_Type_HYPERLINK = 0x01b8

[line 137]

[ Top ]

#### XLS_Type_IMDATA = 0x007f

[line 116]

[ Top ]

#### XLS_Type_INDEX = 0x020b

[line 146]

[ Top ]

#### XLS_Type_LABEL = 0x0204

[line 142]

[ Top ]

#### XLS_Type_LABELSST = 0x00fd

[line 132]

[ Top ]

#### XLS_Type_LEFTMARGIN = 0x0026

[line 103]

[ Top ]

#### XLS_Type_MERGEDCELLS = 0x00e5

[line 128]

[ Top ]

#### XLS_Type_MSODRAWING = 0x00ec

[line 130]

[ Top ]

#### XLS_Type_MSODRAWINGGROUP = 0x00eb

[line 129]

[ Top ]

#### XLS_Type_MULBLANK = 0x00be

[line 125]

[ Top ]

#### XLS_Type_MULRK = 0x00bd

[line 124]

[ Top ]

#### XLS_Type_NOTE = 0x001c

[line 99]

[ Top ]

#### XLS_Type_NUMBER = 0x0203

[line 141]

[ Top ]

#### XLS_Type_OBJ = 0x005d

[line 114]

[ Top ]

#### XLS_Type_OBJECTPROTECT = 0x0063

[line 90]

[ Top ]

#### XLS_Type_PAGESETUP = 0x00a1

[line 123]

[ Top ]

#### XLS_Type_PALETTE = 0x0092

[line 121]

[ Top ]

#### XLS_Type_PANE = 0x0041

[line 111]

[ Top ]

#### XLS_Type_PASSWORD = 0x0013

[line 92]

[ Top ]

#### XLS_Type_PRINTGRIDLINES = 0x002b

[line 107]

[ Top ]

#### XLS_Type_PROTECT = 0x0012

[line 89]

[ Top ]

#### XLS_Type_RANGEPROTECTION = 0x0868

[line 156]

[ Top ]

#### XLS_Type_RIGHTMARGIN = 0x0027

[line 104]

[ Top ]

#### XLS_Type_RK = 0x027e

[line 150]

[ Top ]

#### XLS_Type_ROW = 0x0208

[line 145]

[ Top ]

#### XLS_Type_SCENPROTECT = 0x00dd

[line 91]

[ Top ]

#### XLS_Type_SCL = 0x00a0

[line 122]

[ Top ]

#### XLS_Type_SELECTION = 0x001d

[line 100]

[ Top ]

#### XLS_Type_SHAREDFMLA = 0x04bc

[line 153]

[ Top ]

#### XLS_Type_SHEET = 0x0085

[line 120]

[ Top ]

#### XLS_Type_SHEETLAYOUT = 0x0862

[line 157]

[ Top ]

#### XLS_Type_SHEETPR = 0x0081

[line 117]

[ Top ]

#### XLS_Type_SHEETPROTECTION = 0x0867

[line 155]

[ Top ]

#### XLS_Type_SST = 0x00fc

[line 131]

[ Top ]

#### XLS_Type_STRING = 0x0207

[line 144]

[ Top ]

#### XLS_Type_STYLE = 0x0293

[line 151]

[ Top ]

#### XLS_Type_TOPMARGIN = 0x0028

[line 105]

[ Top ]

#### XLS_Type_TXO = 0x01b6

[line 136]

[ Top ]

#### XLS_Type_UNKNOWN = 0xffff

[line 159]

[ Top ]

#### XLS_Type_VCENTER = 0x0084

[line 119]

[ Top ]

#### XLS_Type_VERTICALPAGEBREAKS = 0x001a

[line 97]

[ Top ]

#### XLS_Type_WINDOW2 = 0x023e

[line 149]

[ Top ]

#### XLS_Type_XF = 0x00e0

[line 127]

[ Top ]

#### XLS_Type_XFEXT = 0x087d

[line 158]

[ Top ]

#### XLS_WorkbookGlobals = 0x0005

[line 83]

[ Top ]

#### XLS_Worksheet = 0x0010

[line 84]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:12 +0200 by phpDocumentor 1.4.4